Bug 1485 - wvdial не загружается из-под пользователя
: wvdial не загружается из-под пользователя
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wvdial)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-10-28 20:46 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-28 20:46:37
При запуске от пользователя wvdial всегда сообщает, что порт /dev/ttyS4 уже
используется.
Фрагмент strace wvdial:
open(\"/var/lock/LCK..ttyS4\", O_RDWR|O_NONBLOCK|O_CREAT|O_EXCL,
0644) = -1
После того, как пользователю разрешается запись в /var/lock, проблема
пропадает. Предыдущий wvdial создавал lock-файлы в /var/lock/serial
(группа-владелец uucp).
---

---
$ rpm -q wvdial
wvdial-1.53-alt1
------- Comment #1 From 2002-10-28 22:00:46 -------
В библиотеке libwvstreams в 27:wvlockfile.cc есть строчка:
filename = WvString(\"/var/lock/LCK..%s\", p);

именно тута всё и кроется.

edited on: 28-10 22:01
------- Comment #2 From 2002-10-28 22:00:46 -------
В библиотеке libwvstreams в 27:wvlockfile.cc есть строчка:
filename = WvString(\"/var/lock/LCK..%s\", p);

именно тута всё и кроется.

edited on: 28-10 22:01
------- Comment #3 From 2002-12-25 14:38:11 -------
Fixed in alt2
------- Comment #4 From 2002-12-25 14:38:11 -------
Fixed in alt2